Version
Keywords: org.ggf.drmaa.Version class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class Version

    java.lang.Object
      org.ggf.drmaa.Version

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Version
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Class used to represent the DRM version info

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`Version(int major, int minor)` Create a new Version object

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)` Test for equality between two Version objects.
`int` | `getMajor()` Get the major version number.
`int` | `getMinor()` Get the minor version number.
`int` | `hashCode()` Get a hash code based on the major and minor version numbers.
`java.lang.String` | `toString()` Converts this Version object into a printable String.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(int major,
                   int minor)

  Create a new Version object

Parameters:
  `major` - major version number (non-negative integer)
  `minor` - minor version number (non-negative integer)

Method Detail

### getMajor

    public int getMajor()

  Get the major version number.

  Returns:
    major version number (non-negative integer)

### getMinor

    public int getMinor()

  Get the minor version number.

  Returns:
    minor version number (non-negative integer)

### toString

    public java.lang.String toString()

  Converts this Version object into a printable String. The String's format is <major>.<minor>.

  Returns:
    a printable String of the format <major>.<minor>

### equals

    public boolean equals(java.lang.Object obj)

  Test for equality between two Version objects.

  Parameters:
    `obj` - the object against which to test
  Returns:
    whether the given object has the same major and minor version numbers as this object

### hashCode

    public int hashCode()

  Get a hash code based on the major and minor version numbers.

  Returns:
    a hash code

### clone

    public java.lang.Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD